---
# The target attribute is currently ignored.  See https://tickets.puppetlabs.com/browse/MODULES-7422
ligoprofile::yum::repos:
  baseos:
    descr: 'Rocky Linux $releasever'
    baseurl: "%{lookup('ligoprofile::sitemirror')}/mirror/linux/rocky/%{lookup('ligoprofile::os::version')}/BaseOS/x86_64/os/"
    mirrorlist: 'absent'
    exclude: 'kernel*,kmod-kvdo,perf,python3-perf' 
    enabled: true
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial"
    target: '/etc/yum.repos.d/Rocky-BaseOS.repo'
  devel:
    descr: 'Rocky Linux $releasever - Devel WARNING! FOR BUILDROOT AND KOJI USE'
    baseurl: "%{lookup('ligoprofile::sitemirror')}/mirror/linux/rocky/%{lookup('ligoprofile::os::version')}/Devel/x86_64/os/"
    mirrorlist: 'absent'
    enabled: false
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial"
    target: '/etc/yum.repos.d/Rocky-Devel.repo'
  appstream:
    descr: 'Rocky Linux $releasever - AppStream'
    baseurl: "%{lookup('ligoprofile::sitemirror')}/mirror/linux/rocky/%{lookup('ligoprofile::os::version')}/AppStream/x86_64/os/"
    mirrorlist: 'absent'
    enabled: true
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial"
    target: '/etc/yum.repos.d/Rocky-AppStream.repo'
  extras:
    descr: 'Rocky Linux $releasever - Extras'
    baseurl: "%{lookup('ligoprofile::sitemirror')}/mirror/linux/rocky/%{lookup('ligoprofile::os::version')}/extras/x86_64/os/"
    mirrorlist: 'absent'
    enabled: false
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial"
    target: '/etc/yum.repos.d/Rocky-Extras.repo'
  powertools:
    descr: 'Rocky Linux $releasever - PowerTools'
    baseurl: "%{lookup('ligoprofile::sitemirror')}/mirror/linux/rocky/%{lookup('ligoprofile::os::version')}/PowerTools/x86_64/os/"
    mirrorlist: 'absent'
    enabled: true
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial"
    target: '/etc/yum.repos.d/Rocky-PowerTools.repo'
  plus:
    descr: 'Rocky Linux $releasever - Plus'
    baseurl: "%{lookup('ligoprofile::sitemirror')}/mirror/linux/rocky/%{lookup('ligoprofile::os::version')}/centosplus/x86_64/os/"
    mirrorlist: 'absent'
    enabled: false
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial"
    target: '/etc/yum.repos.d/Rocky-Plus.repo'
  ha:
    descr: 'Rocky Linux $releasever - HighAvailability'
    baseurl: "%{lookup('ligoprofile::sitemirror')}/mirror/linux/rocky/%{lookup('ligoprofile::os::version')}/HighAvailability/x86_64/os/"
    mirrorlist: 'absent'
    enabled: false
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial"
    target: '/etc/yum.repos.d/Rocky-HighAvailability.repo'
  nfv:
    descr: 'Rocky Linux $releasever - NFV'
    baseurl: "%{lookup('ligoprofile::sitemirror')}/mirror/linux/rocky/%{lookup('ligoprofile::os::version')}/nfv/x86_64/os/"
    mirrorlist: 'absent'
    enabled: false
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial"
    target: '/etc/yum.repos.d/Rocky-NFV.repo'
  resilient-storage:
    descr: 'Rocky Linux $releasever - ResilientStorage'
    baseurl: "%{lookup('ligoprofile::sitemirror')}/mirror/linux/rocky/%{lookup('ligoprofile::os::version')}/ResilientStorage/x86_64/os/"
    mirrorlist: 'absent'
    enabled: false
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial"
    target: '/etc/yum.repos.d/Rocky-ResilientStorage.repo'

ligoprofile::yum::gpgkeys:
  '/etc/pki/rpm-gpg/RPM-GPG-KEY-rockyinfra':
    ensure: 'present'
    source: 'puppet://puppet/modules/ligoprofile/etc/pki/rpm-gpg/RPM-GPG-KEY-rockyinfra'
  '/etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial':
    ensure: 'present'
    source: 'puppet://puppet/modules/ligoprofile/etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial'
  '/etc/pki/rpm-gpg/RPM-GPG-KEY-rockytesting':
    ensure: 'present'
    source: 'puppet://puppet/modules/ligoprofile/etc/pki/rpm-gpg/RPM-GPG-KEY-rockytesting'


ligoprofile::yum::managed_repos:
  - 'baseos'
  - 'devel'
  - 'appstream'
  - 'extras'
  - 'powertools'
  - 'plus'
  - 'ha'
  - 'nfv'
  - 'resilient-storage'
